Bug 1567142 - neutron-l3-agent container build fails, requiring neutron-vpnaas
Summary: neutron-l3-agent container build fails, requiring neutron-vpnaas
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Jon Schlueter
QA Contact: Toni Freger
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-13 13:38 UTC by Bernard Cafarelli
Modified: 2018-06-27 13:51 UTC (History)
2 users (show)

Fixed In Version: openstack-tripleo-common-8.6.1-0.20180410165747.4d8ca16.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:51:11 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:51:45 UTC

Description Bernard Cafarelli 2018-04-13 13:38:16 UTC
With upstream https://review.openstack.org/#/c/551729 merged, kolla builds neutron-l3-agent with vpnaas and libreswan in (merged in a single container):
https://review.openstack.org/#/c/551729/3/docker/neutron/neutron-l3-agent/Dockerfile.j2

This works for RDO as it still has neutron-vpnaas, but this was dropped in OSP a few releases ago.

So for downstream OSP we should override this so container build does not try to pull in openstack-neutron-vpn-agent and libreswan

Comment 4 Toni Freger 2018-05-09 05:19:47 UTC
Code tested on latest OSP13 with openstack-tripleo-common-8.6.1-6.el7ost.noarch

# NOTE(jschlueter) RH OSP does not ship openstack-neutron-vpnaas so we need to exclude these
{% set neutron_l3_agent_packages_remove = ['openstack-neutron-vpn-agent', 'libreswan'] %}

Comment 6 errata-xmlrpc 2018-06-27 13:51:11 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.